/* wrapper to run cvs with specific settings without user modifications
   Author: Carsten Grohmann
   (c) 2003 Carsten Grohmann
   Version 0.2
   Licence GPL
*/

#include <stdlib.h>
#include <unistd.h>
#include <errno.h>

#ifdef PSERVER
#   define SERVERTYPE "pserver"
#endif

#ifdef SERVER
#   define SERVERTYPE "server"
#endif

#ifndef SERVERTYPE
#   define SERVERTYPE "server"
#endif

int main(int argc, char *argv[])
{
  static const char *env[] = { "CVSUMASK=007",
#ifdef PSERVER
                               "HOME=CVSDIR/project_p1/repository",
#endif			       
			       "CVSROOT=CVSDIR/project_p1/repository",
			       0 };
/* 
  Used parameters:
  --allow-root=<directorys>	allowed CVSROOT directories
                                you can use multiple entries for different 
				directories
  -T <directory>		use <directory> for temporary files
  -f 				do not read ~/.cvsrc
*/   
  (void) execle("CVSDIR/bin/cvs", 
                "CVSDIR/bin/cvs",
	        "--allow-root=CVSDIR/project_p1/repository",
	        "-T", "CVSDIR/tmp",
	        "-f",
	        SERVERTYPE,
       	        NULL,
                env);
  exit(errno);
}
